Installieren Sie php-zip auf php 5.6 auf Ubuntu [duplicate]

Lesezeit: 1 Minute

Ich kann php-zip nicht auf meiner Ubuntu-VM mit der letzten php5.6 installieren.

Kann nichts eindeutiges darüber finden.

Ich bekomme immer noch diesen Apache-Fehler:

PHP Fatal error:  Class 'ZipArchive' not found in /var/www/uta/system/library/PHPExcel/PHPExcel/Writer/...

Vielen Dank

  • Haben Sie die Anweisungen unter befolgt? php.net/manual/en/zip.installation.php ? Ich weiß, dass das Neukompilieren von PHP aus dem Quellcode nicht ideal ist, aber es ist meiner Meinung nach der zuverlässigste Weg, um genau das zu bekommen, was Sie brauchen.

    – Apokryfos

    29. Juni 2016 um 15:52 Uhr


Benutzer-Avatar
Gareth Parker

Probieren Sie es aus

  • sudo apt-get install php-zip oder
  • sudo apt-get install php5.6-zip

Dann müssen Sie möglicherweise Ihren Webserver neu starten.

  • sudo service apache2 restart oder
  • sudo service nginx restart

Wenn Sie auf Centos oder Fedora OS installieren, verwenden Sie yum anstelle von apt-get. Beispiel:-

sudo yum install php-zip oder
sudo yum install php5.6-zip und
sudo service httpd restart

  • apt-get install php5.6-zip funktioniert dort danke

    – Sockel7

    5. Juli 2016 um 13:24 Uhr

  • funktioniert für php-7.0 Auch

    – Thamaraiselvam

    21. Februar 2017 um 10:29 Uhr

  • Wir müssen den Apache-Server neu starten, um die Wirkung zu überprüfen!

    – Manish Goswami

    26. Februar 2017 um 14:25 Uhr

  • Je nach PHP-Version müssen Sie php5.6-zip, php7.0-zip, php7.1-zip php7.2-zip installieren. Möglicherweise haben Sie 3 PHP-Versionen (das ist mein Fall). Stellen Sie sicher, dass Sie das bekommen, was Sie brauchen. Es ist nicht immer einfach zu wissen, ob Sie beispielsweise ein CMS verwenden.

    – jcm69

    18. Juli 2017 um 13:27 Uhr

  • Ich bekomme jetzt Unable to locate package für diese beiden apt-gets. stackoverflow.com/questions/18774568/… kann jetzt mehr helfen.

    – Gans

    16. Oktober 2017 um 21:16 Uhr

1353850cookie-checkInstallieren Sie php-zip auf php 5.6 auf Ubuntu [duplicate]

This website is using cookies to improve the user-friendliness. You agree by using the website further.

Privacy policy